##
## interfaces.py
from zope.interface import Attribute, invariant
from zope import schema
from waeup.sirp.interfaces import IWAeUPObject

class IHostelsContainer(IWAeUPObject):
    """A container for all kind of hostel objects.

    """

class IHostel(IWAeUPObject):
    """A base representation of hostels.

    """

    def loggerInfo(ob_class, comment):
        """Adds an INFO message to the log file
        """

    hostel_id = schema.TextLine(
        title = u'Hostel ID',
        required = False,
        )